package com.unis.base.server.service.impl;

import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.NatureTransVo;
import com.unis.base.server.domain.NatureTransDomain;
import com.unis.base.server.service.NatureTransService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author ceshi
 * @Title: ${file_name}
 * @Package ${package_name}
 * @Description:
 * @date 2019/10/3121:04
 */
@Service
public class NatureTransServiceImpl implements NatureTransService {
    @Autowired
    private NatureTransDomain natureTransDomain;


    @Override
    public PageInfo<NatureTransVo> getPageList(NatureTransVo natureTransVo, Integer pageNum, Integer pageSize) {
        return natureTransDomain.getPageList(natureTransVo, pageNum, pageSize);
    }

    @Override
    public int deleteNatureTrans(String xzzbdbh) {
        return natureTransDomain.deleteNatureTrans(xzzbdbh);
    }

    @Override
    public int infoNatureTrans(NatureTransVo natureTransVo) {
        return natureTransDomain.infoNatureTrans(natureTransVo);
    }
}
